1999
2003
Fredrik Hallenberg, W. Borgert
1999-07-03
Fredrik
Hallenberg
hallon@lysator.liu.se
W.
Borgert
debacle@debian.org
2
2003-11-26
WB
added --size option
2
2003-10-16
WB
added different EPS variants and section on files
1
2003-10-12
WB
1st DocBook/XML version
dia
1

# dia

a diagram drawing program

          dia

          -c

          --credits

          -e OUTPUT

          --export=OUTPUT

          -h

          --help

          -n

          --nosplash

          -s WxH

          --size=WxH

          -t FORMAT

          --filter=FORMAT

          -v

          --version

          file ...

## Description

`Dia` is used to create diagrams. Dia has a number of basic tools, like lines and boxes but can also dynamically load sheets. A sheet is a collection of tools that are used in a certain type of diagram.

Most diagram objects in `Dia` has handles. Lines can be connected to these handles and this way graph structures can be formed. When objects are moved or resized the connections will follow the objects.

Diagrams drawn in `Dia` can be exported PostScript.

## Options

`Dia` accepts the following options:

`-c` `--credits`

  Display credits list and exit.

`-e OUTPUT` `--export=OUTPUT`

  Export loaded file to OUTPUT and exit.

`-h` `--help`

  Display a list of all commandline options.

`-n` `--nosplash`

  Do not show the splash screen.

`-s WxH` `--size=WxH`

  Export loaded file in decimal given width and/or height. It is allowed to only select width or height. E.g. `--size=520x` exports an image that is 520 pixels wide, while `--size=x900` exports an image of 900 pixels height.

  This option is currently only implemented for the PNG export filter.

`-t FORMAT` `--export-to-format=FORMAT`

  Export loaded file in FORMAT and exit. Format are described below.

`-v` `--version`

  Display `dia` version and exit.

## Export Formats

The following export formats are supported by `dia`.

- `cgm` (Computer Graphics Metafile, ISO 8632)

- `dia` (Native dia diagram)

- `dxf` (Drawing Interchange File)

- `eps` or `epsi` or `eps-builtin` or `eps-pango` (Encapsulated PostScript)

  The format specifications `eps`, `epsi`, and `eps-pango` all use the font renderer of the Pango library, while `eps-builtin` uses a dia specific font renderer. If you have problems with Pango rendering, e.g. Unicode, try `eps-builtin` instead.

- `fig` (XFig format)

- `mp` (TeX MetaPost macros)

- `plt` or `hpgl` (HP Graphics Language)

- `png` (Portable Network Graphics)

- `shape` (Dia shape file)

- `svg` (Scalable Vector Graphics)

- `tex` (TeX PSTricks macros)

- `wpg` (WordPerfect Graphics)

- `wmf` (Windows MetaFile)

## Files

`dia` creates a directory `.dia` in the user's home, which contains different files to store user preferences. To reset `dia` to it's default behaviour, just remove the respective file:

- `defaults.dia`: contains default values for elements (XML format).

- `diarc`: keeps `dia` preferences (ASCII).

- `history`: keeps the list of last edited diagrams (ASCII).

- `menurc`: contains an automated accelerator map dump (Lisp).

- `persistence`: contains GUI information, e.g. open windows (XML).

- `pluginrc`: the list of loaded plugins (XML).

## See Also

Pango

X (1)

## Copyright

Copyright 1999 Alexander Larsson.

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

## Authors

Alexander Larsson alla@lysator.liu.se

This manual was written by Fredrik Hallenberg hallon@lysator.liu.se.